#include "takeRand.h"

int takeRand(int maxiNb)
{
    int nombreHasard(0);
    srand(time(0));
    nombreHasard = rand() % maxiNb;

    return nombreHasard;
}

int takeRand(int maxiNb,int antiLatence)
{
    int nombreHasard(0);
    srand(time(0)+antiLatence*antiLatence);
    nombreHasard = rand() % maxiNb;

    return nombreHasard;
}

int takeRand(int maxiNb,Uint32 noLatence)
{
    int nombreHasard(0);
    srand(time(0)+noLatence);
    nombreHasard = rand() % maxiNb;

    return nombreHasard;
}
